from flask import Flask
import logging
# 파일로 남기기 위해  filename='test.log' parameter로 추가한다.
logging.basicConfig(filename='test.log', level=logging.INFO)

app = Flask(__name__)

@app.errorhandler(404)      # 에러코드
def page_not_found(error):  # 에러를 위한 변수 전달
    logging.debug(error)
    return "<h1>없는 페이지예요.</h1>", 404    # 튜플형태(html페이지, 에러코드)

@app.route("/")
def hello():
    logging.info("Hello")
    return "<h1>SWHAcademy HelloWorld</h1>"

if __name__ == "__main__":
    app.run(host="127.0.0.1", port="8080")